Robotics Systems Types - Bug #771
Add cmake user options to disable language builds
12/15/2011 01:24 PM - Anonymous

Status: Resolved Start date: 12/15/2011
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Build System Estimated time: 1.00 hour
Target version: rsb-0.9

Description

Add cmake user options to disable building RST for all language. E.g. user options
- BUILD_RST_CPP
- BUILD_RST_JAVA
- BUILD_RST_PYTHON

that are enabled by default. If | know that | use RST in only one of the languages | may not want to generate everything.

Any thoughts on that?1

Associated revisions

Revision 09a824c4 - 07/09/2012 03:12 PM - J. Wienke

Make language binding compilation configurable over cmake

fixes #771

History

#1 - 07/09/2012 03:07 PM - J. Wienke

- Status changed from Feedback to In Progress

Why not, but default to all on.

#2 - 07/09/2012 03:12 PM - J. Wienke
- Category set to Build System
- Target version set to 29

#3 - 07/09/2012 04:20 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r329.

#4 - 08/29/2012 05:03 PM - J. Wienke

- Target version changed from 29 to rsb-0.9
